##############################################################################
# Tutorial Problem ZClass for Zope, part of the Tutorial Product
#
# Copyright (C) 2001 Dr John A.R. Williams
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################

"""Tutorial Product"""

from OFS.Folder import Folder
from Products.ZCatalog.CatalogAwareness import CatalogAware
from DateTime import DateTime
from Globals import HTMLFile
import Globals

class TutorialProblem( CatalogAware, Folder  ):
  """Tutorial Problem Python Class"""

  meta_type = "Tutorial Problem"
  icon="misc_/Tutorial/tutorialproblem"

  _properties=({'id':'title', 'type': 'string', 'mode':'w'},
               {'id':'problem', 'type': 'text', 'mode': 'wd'},
               {'id':'solution', 'type': 'text', 'mode': 'wd'},
	       {'id':'created', 'type':'DateTime', 'mode':''}
               )

  __ac_permissions__=(
    ('Access contents information', ('topic',),),
    ('View', ('index_html',),),
    )
  
  def __init__(self, id, title='', problem='', solution=''):
    self.id=id
    self.title=title
    self.problem=problem
    self.solution=solution
    self.created=DateTime()

  index_html=HTMLFile('viewTutorialProblem',globals())

  def topic(self):
    return self.getParentNode()
    
Globals.default__class_init__(TutorialProblem)


